visual editor inserts a reference tag
Closed, ResolvedPublic0 Story Points

Description

After editing a page in german wiktionary via visual editor a <references /> tag is added to the page. This should not be done, because we are using a template {{Quellen}} which includes already a references tag. See: https://de.wiktionary.org/w/index.php?title=Gonorrhoe&curid=775275&diff=6189560&oldid=6172244

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2017, 3:50 PM
Udo_T added a subscriber: Udo_T.Sep 21 2017, 6:33 PM

Doesn't sound like a problem with VE, just the user doing what they shouldn't.

Your comment doesn't help. What should i have not done? Using the visual editor? Removing the "{" character? Or what else?

Esanders added a comment.EditedSep 25 2017, 2:32 PM

Looks like the reference wrapper is breaking Parsoid's about grouping:

https://de.wiktionary.org/wiki/Benutzer:ESanders_(WMF)/sandbox?veaction=edit

<span about="#mwt3" typeof="mw:Transclusion" data-mw='{"parts":[{"template":{"target":{"wt":"Quellen","href":"./Vorlage:Quellen"},"params":{},"i":0}}]}' id="mwAg">
</span>
<p about="#mwt3"><i>Quellen:</i><br/></p>
<span about="#mwt3">

</span>
<div class="mw-references-wrap" id="mwAw">
  <ol class="mw-references references" typeof="mw:Extension/references" about="#mwt3" data-mw='{"name":"references","attrs":{}}' id="mwBA">
    <li about="#cite_note-1" id="cite_note-1">...</li>
  </ol>
</div>

Note the 'about' attribute is attached to the <ol> and not the <div>, thus breaking the about group.

Esanders triaged this task as High priority.Sep 25 2017, 2:32 PM
ssastry assigned this task to Arlolra.Sep 25 2017, 2:35 PM

Change 380543 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] T176425: Transfer about group to reference wrapper

https://gerrit.wikimedia.org/r/380543

Change 380543 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T176425: Transfer about group to reference wrapper

https://gerrit.wikimedia.org/r/380543

Arlolra closed this task as Resolved.Sep 25 2017, 5:17 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 25 2017, 5:17 PM
Jdforrester-WMF set the point value for this task to 0.Sep 26 2017, 3:04 PM